Update a Starlink Contact
Update the specified Starlink contact by setting the values of the parameters passed.
Required Capabilities
Starlink Manager
Request
Path parameters
Reference ID of the Starlink contact to update.
Body parameters
New roles to assign to the contact. Replaces all existing roles. An empty array deletes the contact.
BILLING_READ_ONLY— Billing Read OnlySERVICE_ACCOUNT_MANAGEMENT— Service Account ManagementSUPPORT— SupportSUPPORT_READ_ONLY— Support Read OnlyTECHNICAL_CONFIGURATION— Technical ConfigurationTECHNICAL_READ_ONLY— Technical Read Only
Response
200 The contact is updated successfully
A json is returned in the response body with the following fields:
Reference ID of the Starlink contact.
Reference ID of the Starlink account the contact belongs to.
First name of the contact.
Last name of the contact.
Email address of the contact.
Phone number of the contact.
Roles assigned to the contact.
BILLING_READ_ONLY— Billing Read OnlySERVICE_ACCOUNT_MANAGEMENT— Service Account ManagementSUPPORT— SupportSUPPORT_READ_ONLY— Support Read OnlyTECHNICAL_CONFIGURATION— Technical ConfigurationTECHNICAL_READ_ONLY— Technical Read Only
Starlink subject ID of the contact. null if not applicable.
Starlink sync information of the contact.
Show child attributes
The sync status of the contact. null if not applicable.
PENDING— The sync is pending.ABORTED— The sync has been aborted.SYNCING— The sync is in progress.SYNCED— The sync has completed.
The number of times the contact sync has been run.
The maximum number of times the contact sync can be run.
The last time the contact was synced. null if not applicable.
Date and time the contact was created.
Username of the user who created the contact.
Email of the user who created the contact. null if not applicable.
Date and time the contact was last updated.
Username of the user who last updated the contact.
Email of the user who last updated the contact. null if not applicable.
400 Request is invalid
No contact is updated as the request is invalid.
Check the response body for the error details.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/contacts/{refId}' \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json' \ --data-raw '{"roles": ["BILLING_READ_ONLY", "SUPPORT_READ_ONLY"]}'Response
{
"refId": "237",
"starlinkAccountRefId": "108",
"firstName": "John",
"lastName": "Smith",
"email": "[email protected]",
"phone": "+35521323112",
"roles": ["BILLING_READ_ONLY", "SUPPORT_READ_ONLY"],
"starlinkSubjectId": "cf86c4ff-eb39-4781-815b-f14d25dd0151",
"starlinkSync": {
"syncStatus": "SYNCED",
"runCount": 0,
"runCountLimit": 10,
"lastSyncedAt": "2026-03-25T03:30:53.981Z"
},
"createdAt": "2026-03-25T03:30:44.170Z",
"createdBy": "Alice C",
"createdByEmail": "[email protected]",
"updatedAt": "2026-03-25T03:30:55.932Z",
"updatedBy": "Alice C",
"updatedByEmail": "[email protected]"
}